aboutsummaryrefslogtreecommitdiff
path: root/scripts/guix-data-service-backup-database
diff options
context:
space:
mode:
authorChristopher Baines <mail@cbaines.net>2020-03-20 20:40:33 +0000
committerChristopher Baines <mail@cbaines.net>2020-03-20 20:40:33 +0000
commitcf4082dbeba98922ad3dacaec34bb0fcab0390cc (patch)
tree4e58f424ba0d7eb674a381df084c6acfdeab2a5b /scripts/guix-data-service-backup-database
parentc44297b6159e0564ae65cbe887683020ac385e22 (diff)
downloaddata-service-cf4082dbeba98922ad3dacaec34bb0fcab0390cc.tar
data-service-cf4082dbeba98922ad3dacaec34bb0fcab0390cc.tar.gz
Avoid failures related to renice and ionice
These parts of the backup scripts are optional, so don't fail if they don't work.
Diffstat (limited to 'scripts/guix-data-service-backup-database')
-rwxr-xr-xscripts/guix-data-service-backup-database4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/guix-data-service-backup-database b/scripts/guix-data-service-backup-database
index 365f78c..3988a49 100755
--- a/scripts/guix-data-service-backup-database
+++ b/scripts/guix-data-service-backup-database
@@ -12,8 +12,8 @@ FULL_BACKUP_NAME="guix_data_service_full.dump"
TEMPORARY_FILE_NAME="${TMPDIR:-/tmp}/guix_data_service_full-$DATE.dump.tmp"
DESTINATION_FILE_NAME="$BACKUP_DIRECTORY/$DATE/$FULL_BACKUP_NAME"
-renice 19 -p $$
-ionice -p $$ -c 3
+renice 19 -p $$ || true
+ionice -p $$ -c 3 || true
pg_dump --format=custom --compress=9 --serializable-deferrable \
--username=guix_data_service \